package tdanford.sunlight;

import org.json.JSONObject;

/**
 * {"district":"4",
             "title":"Rep",
             "eventful_id":"P0-001-000016562-5",
             "in_office":true,
             "state":"NC",
             "crp_id":"N00002260",
             "official_rss":"",
             "party":"D",
             "email":"",
             "votesmart_id":"119",
             "website":"http://price.house.gov/",
             "fax":"202-225-2014",
             "govtrack_id":"400326",
             "firstname":"David",
             "middlename":"Eugene",
             "lastname":"Price",
             "congress_office":"2162 Rayburn House Office Building",
             "phone":"202-225-1784",
             "webform":"http://price.house.gov/contact/contact_form.shtml",
             "youtube_url":"http://www.youtube.com/repdavidprice",
             "nickname":"",
             "bioguide_id":"P000523",
             "fec_id":"H6NC04037",
             "gender":"M",
             "senate_class":"",
             "name_suffix":"",
             "twitter_id":"",
             "birthdate":"1940-08-17",
             "congresspedia_url":"http://www.opencongress.org/wiki/David_Price"}
 * @author tdanford
 *
 */

public class Legislator extends APIObject {
	
	public String district;
	public String title;
	public String eventful_id;
	public Boolean in_office;
	public String state;
	public String crp_id;
	public String official_rss;
	public String party;
	public String email;
	public String votesmart_id;
	public String website;
	public String fax;
	public String govtrack_id;
	public String firstname, middlename, lastname;
	public String congress_office;
	public String phone;
	public String webform;
	public String youtube_url;
	public String nickname;
	public String bioguide_id;
	public String fec_id;
	public String gender; 
	public String senate_class;
	public String name_suffix;
	public String twitter_id; 
	public String birthdate;
	public String congresspedia_url;

	public Legislator() {
	}

	public Legislator(JSONObject obj) {
		super(obj);
	}
	
	public String fullName() { 
		return String.format("%s%s%s",
				getFirstName(), getMiddleName(), getLastName());
	}
	
	public String getFirstName() { 
		return firstname != null ? firstname : "";
	}
	
	public String getMiddleName() { 
		return middlename != null && middlename.length() > 0 ? " " + middlename + " " : " ";
	}
	
	public String getLastName() { 
		return lastname != null ? lastname : "";
	}
	
	public String toString() { return String.format("%s %s", title, fullName()); }
}
