package tdanford.sunlight.cgp;

import java.util.*;

/**
 * http://www.loc.gov/marc/bibliographic/ecbdlist.html
 * 
 * @author tdanford
 */
public class BibliographicRecord extends LeaderRecord {
	
	@ParseField(offset=5,interp=BibliographicRecordStatus.class)
	public Character record_status;
	
	@ParseField(offset=6,interp=BibliographicRecordType.class)
	public Character record_type;
	
	@ParseField(offset=7,interp=BibliographicRecordLevel.class)
	public Character bibliographic_level;

	public BibliographicRecord(MARC21Record rec) { 
		super(rec);
	}
}

/*
05 - Record status
a - Increase in encoding level
c - Corrected or revised
d - Deleted
n - New
p - Increase in encoding level from prepublication
06 - Type of record
a - Language material
b - Archival and manuscripts control [OBSOLETE]
c - Notated music
d - Manuscript notated music
e - Cartographic material
f - Manuscript cartographic material
g - Projected medium
h - Microform publications [OBSOLETE]
i - Nonmusical sound recording
j - Musical sound recording
k - Two-dimensional nonprojectable graphic
m - Computer file
n - Special instructional material [OBSOLETE]
o - Kit
p - Mixed material
r - Three-dimensional artifact or naturally occurring object
t - Manuscript language material
07 - Bibliographic level
a - Monographic component part
b - Serial component part
c - Collection
d - Subunit
i - Integrating resource
m - Monograph/item
s - Serial
*/